Package org.xnio

# Interface XnioExecutor.Key

Enclosing interface:
  `XnioExecutor`

public static interface XnioExecutor.Key
A task key for a timeout task.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final XnioExecutor.Key`
`IMMEDIATE`
An immediate key.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`remove()`
Remove a previously-submitted task.

## Field Details

### IMMEDIATE

static final XnioExecutor.Key IMMEDIATE
An immediate key. When the time delay is invalid input: '<'= 0, this may be returned and the task immediately run.

## Method Details

### remove

boolean remove()
Remove a previously-submitted task.

Returns:
  `true` if the task was cancelled; `false` if it already ran